from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XCanvasFont(XInterface, Protocol):
    def createTextLayout(self, aText: StringContext, nDirection: int, nRandomSeed: int) -> XTextLayout: ...
    def getFontRequest(self) -> FontRequest: ...
    def getFontMetrics(self) -> FontMetrics: ...
    def getAvailableSizes(self) -> list[float]: ...
    def getExtraFontProperties(self) -> list[PropertyValue]: ...
